Skip to main content
PATCH
/
campaigns
/
{id}
Update a campaign
curl --request PATCH \
  --url https://api.pamhq.com/v1/campaigns/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "scheduled_launch_at": "2023-11-07T05:31:56Z",
  "window_duration_hours": 12,
  "config": {
    "recall_id": "<string>",
    "offer_description": "<string>",
    "offer_expiration": "<string>",
    "opt_out_message": "<string>"
  }
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "type": "recall",
    "mode": "one_time",
    "status": "draft",
    "scheduled_launch_at": "2023-11-07T05:31:56Z",
    "window_duration_hours": 123,
    "enrolled_count": 123,
    "agents": {},
    "steps": [
      {
        "channel": "sms",
        "delay_hours": 1
      }
    ],
    "config": {
      "recall_id": "<string>",
      "offer_description": "<string>",
      "offer_expiration": "<string>",
      "opt_out_message": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "request_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:pk_live_your_api_key
required

API key provided as Authorization: Bearer <key>.

Path Parameters

id
string
required

Campaign ID.

Body

application/json
name
string
Maximum string length: 255
scheduled_launch_at
string<date-time>
window_duration_hours
integer
Required range: 1 <= x <= 24
config
object

Response

Campaign updated

data
object
meta
object